------------------------------------------------------------------------
-- Licensed Materials - Property of IBM
--
-- Copyright IBM Corporation 2021. All Rights Reserved.
--
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp. 
------------------------------------------------------------------------
-- usage   db2 -tvf migrate_4.0.3_ifix3.sql

-- This script can be used to update an existing database 
-- that was installed prior to 4.0.3 ifix3.
--
-- It is intended to ensure the FSM State of the 'Outbound Batch Throttler' object
-- is set to 'S_Throttling'.
-- 
-- Pre 4.0.3 ifix3 the FSM used 2 states (S_Idle and S_Throttling).
-- From 4.0.3 ifix3 onwards the FSM uses only the S_Throttling state.
--
-- Pre requisites connected to database.  Current schema set.
--
--
-- note.  If using a custom model name/version derived from the product models 
-- you must update the application name/version below to match your custom values.


UPDATE OBJ_BASE
  SET STATUS = 'S_Throttling'
  WHERE ID IN (
     SELECT OBJ_ID FROM SCHEDULER_TASK_BASE 
       	WHERE "NAME" = 'Outbound Batch Throttler'
       		AND APP_VERSION_ID = (SELECT V.ID 
				FROM "APP_VERSION" V, 
			          "APPLICATION" A
			    	WHERE V.APPLICATION_ID = A.ID	
			    	AND V.VERSION = '4.0.3'
			     	AND A.NAME = 'FTM IP TCH Application'
			    ) 
  );
