------------------------------------------------------------------------
-- Licensed Materials - Property of IBM
--
-- Copyright IBM Corporation 2021. All Rights Reserved.
--
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp. 
------------------------------------------------------------------------
-- Script Name:       migrate_3.2.9.sql
-- FTM IP: Ensure the FSM State of the 'Outbound Batch Throttler' object
-- is set to 'S_Throttling'.
------------------------------------------------------------------------

UPDATE OBJ_BASE
  SET STATUS = 'S_Throttling'
  WHERE ID IN (
     SELECT OBJ_ID FROM SCHEDULER_TASK_BASE 
       	WHERE "NAME" = 'Outbound Batch Throttler'
       		AND APP_VERSION_ID = (SELECT V.ID 
				FROM "APP_VERSION" V, 
			          "APPLICATION" A
			    	WHERE V.APPLICATION_ID = A.ID	
			    	AND V.VERSION = '3.2.9'
			     	AND A.NAME = 'FTM IP TCH Application'
			    ) 
  );
